Verifications
Endpoints для требований к проверкам, проверки личности, проверки карты и проверок по заявке.
Проверки по заявке
Sanctum token in Authorization: Bearer <token> format.
Database id, public_id or tracking_id.
Order verification requirements.
Standard error envelope.
GET /api/v3/private/exchange/orders/{order}/verifications HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"state": 0,
"message": "text",
"result": {
"requirements": {
"route_id": 1,
"order": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"identity": {
"required": true,
"mode": "text",
"description": "text",
"current": {
"id": 1,
"key": "not_submitted",
"label": "text",
"is_final_approved": true,
"verification_id": 1
},
"create_endpoint": "text"
},
"card": {
"required": true,
"mode": 1,
"description": "text",
"settings": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"current": {
"id": 1,
"key": "not_submitted",
"label": "text",
"is_final_approved": true,
"verification_id": 1
},
"create_endpoint": "text"
},
"files": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
},
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Отправить проверку по заявке
Sanctum token in Authorization: Bearer <token> format.
Makes unsafe requests safely repeatable for 24 hours by default.
Client-defined id used to correlate API request and webhook events.
Standard success envelope.
Standard error envelope.
POST /api/v3/private/exchange/orders/{order}/verifications/submit HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235
{
"identity": {
"full_name": "text",
"file_intents": [
"123e4567-e89b-12d3-a456-426614174000"
]
},
"card": {
"order": "text",
"order_id": "text",
"currency_id": 1,
"card_number": "text",
"name": "text",
"file_intent": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Требования к проверке
Sanctum token in Authorization: Bearer <token> format.
Standard success envelope.
Standard error envelope.
GET /api/v3/private/verifications/requirements HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Создать identity verification
Sanctum token in Authorization: Bearer <token> format.
Makes unsafe requests safely repeatable for 24 hours by default.
Client-defined id used to correlate API request and webhook events.
Standard success envelope.
Standard error envelope.
POST /api/v3/private/verifications/identity HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"full_name": "text",
"file_intents": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Получить identity verification
Sanctum token in Authorization: Bearer <token> format.
Standard success envelope.
Standard error envelope.
GET /api/v3/private/verifications/identity/{verification} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Действия по identity verification
Sanctum token in Authorization: Bearer <token> format.
Standard success envelope.
GET /api/v3/private/verifications/identity/{verification}/actions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Standard success envelope.
{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Создать card verification
Sanctum token in Authorization: Bearer <token> format.
Makes unsafe requests safely repeatable for 24 hours by default.
Client-defined id used to correlate API request and webhook events.
Standard success envelope.
Standard error envelope.
POST /api/v3/private/verifications/cards HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 138
{
"order": "text",
"order_id": "text",
"currency_id": 1,
"card_number": "text",
"name": "text",
"file_intent": "123e4567-e89b-12d3-a456-426614174000"
}{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Получить card verification
Sanctum token in Authorization: Bearer <token> format.
Standard success envelope.
Standard error envelope.
GET /api/v3/private/verifications/cards/{verification} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Действия по card verification
Sanctum token in Authorization: Bearer <token> format.
Standard success envelope.
GET /api/v3/private/verifications/cards/{verification}/actions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Standard success envelope.
{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Последнее обновление
Это было полезно?